#!/bin/bash

# author:	Marcel Petrick (mail@marcelpetrick.it)

#about: Determines the type of the given file (first param).
#		Will return exitcode 0 for errors; 1 for positive; 2 for negative and 3 for kodachrome files.
#		Just tested with SF8-files.
#		Yeah, I know: it is not POSIX-compatible by using 0 for failure and 1 to 3 for success ...
# license:	GNU General Public License v3.0 (see attached gpl-3.0.txt)
# date:		20150616

FILE=$1
#echo "will work on $FILE"

#now check for pos/neg
VALUE=`exiftool $FILE -makernotes -b | xxd -p -l 1 -s 0x35`
CUT35="${VALUE:1}" #just the last digit matters
#echo "CUT35 is: $CUT35"

#now check for kodachrome
VALUE=`exiftool $FILE -makernotes -b | xxd -p -l 1 -s 0x3d`
CUT3d="${VALUE:1}" #just the last digit matters
#echo "CUT3d is: $CUT3d"

RETURNVALUE=0

if [ "$CUT35" = "0" ]; then
	if [ "$CUT3d" = "0" ]; then
#		echo "positive"
		RETURNVALUE=1
	else
#		echo "kodachrome"
		RETURNVALUE=3
	fi
else
	if [ "$CUT35" = "1" ]; then
#		echo "negative"
		RETURNVALUE=2
#	else
#		echo "error: CUT35 some other value ..."
	fi
fi

exit "$RETURNVALUE"

